From: Greg KH <greg@kroah.com>
To: marcelo@conectiva.com.br
Cc: linux-kernel@vger.kernel.org
Subject: [PATCH 2 of 2] IBM PCI Hotplug fix


Hi,

Here's a patch against 2.4.19-pre7 that allows the IBM PCI Hotplug
driver to be built into the kernel properly.

thanks,

greg k-h


diff -Nru a/drivers/hotplug/ibmphp_core.c b/drivers/hotplug/ibmphp_core.c
--- a/drivers/hotplug/ibmphp_core.c	Thu Apr 18 09:15:05 2002
+++ b/drivers/hotplug/ibmphp_core.c	Thu Apr 18 09:15:05 2002
@@ -56,7 +56,7 @@
 MODULE_DESCRIPTION (DRIVER_DESC);
 
 static int *ops[MAX_OPS + 1];
-static struct pci_ops *ibmphp_pci_root_ops;
+struct pci_ops *ibmphp_pci_root_ops;
 static int max_slots;
 
 static int irqs[16];    /* PIC mode IRQ's we're using so far (in case MPS tables don't provide default info for empty slots */

